<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:49 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CategoryViewModel</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.backend.CategoryViewModel class">
<meta name="keywords" content="getCategories()">
<meta name="keywords" content="setCategories()">
<meta name="keywords" content="getSelected()">
<meta name="keywords" content="setSelected()">
<meta name="keywords" content="addCategory()">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CategoryViewModel";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.Companion.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" target="_top">Frames</a></li>
<li><a href="CategoryViewModel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">markus.keingeldfuerdiemensa.backend</div>
<h2 title="Class CategoryViewModel" class="title">Class CategoryViewModel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>markus.keingeldfuerdiemensa.backend.CategoryViewModel</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CategoryViewModel</span></pre>
<div class="block"><p><p>AndroidViewModel für <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>, welches die Verbindung zwischen dem UI und der Datenbank herstellt</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#CategoryViewModel-application-">CategoryViewModel</a></span>(android.app.Application&nbsp;application)</code>
<div class="block">fordert eine Liste von Kategorien von der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> an</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#addCategory-category-">addCategory</a></span>(<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;category)</code>
<div class="block">ruft die <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> auf, um ein <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekt in diese zu speichern</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.util.List&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#getCategories--">getCategories</a></span>()</code>
<div class="block">Liste der anzuzeigenden Kategorien</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>android.arch.lifecycle.MutableLiveData&lt;markus.keingeldfuerdiemensa.backend.Category&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#getSelected--">getSelected</a></span>()</code>
<div class="block">LiveData-Container für die ausgewählte Kategorie</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#getSelected--">getSelected</a></span>()</code>
<div class="block">gibt die ausgewählte Kategorie zurück</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#setCategories-p-">setCategories</a></span>(android.arch.lifecycle.LiveData&lt;java.util.List&gt;&nbsp;p)</code>
<div class="block">Liste der anzuzeigenden Kategorien</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#setSelected-p-">setSelected</a></span>(android.arch.lifecycle.MutableLiveData&lt;markus.keingeldfuerdiemensa.backend.Category&gt;&nbsp;p)</code>
<div class="block">LiveData-Container für die ausgewählte Kategorie</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#setSelected-cat-">setSelected</a></span>(<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;cat)</code>
<div class="block">markiert eine <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> als vom Benutzer ausgewählt (in der Liste angetippt)</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CategoryViewModel-application-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CategoryViewModel</h4>
<pre>public&nbsp;CategoryViewModel(android.app.Application&nbsp;application)</pre>
<div class="block"><p><p>fordert eine Liste von Kategorien von der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> an</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>application</code> - die App, in der das ViewModel verwendet wird</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCategories--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCategories</h4>
<pre>public&nbsp;android.arch.lifecycle.LiveData&lt;java.util.List&gt;&nbsp;getCategories()</pre>
<div class="block"><p><p>Liste der anzuzeigenden Kategorien</p></p></div>
</li>
</ul>
<a name="setCategories-p-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCategories</h4>
<pre>public&nbsp;void&nbsp;setCategories(android.arch.lifecycle.LiveData&lt;java.util.List&gt;&nbsp;p)</pre>
<div class="block"><p><p>Liste der anzuzeigenden Kategorien</p></p></div>
</li>
</ul>
<a name="getSelected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelected</h4>
<pre>public&nbsp;android.arch.lifecycle.MutableLiveData&lt;markus.keingeldfuerdiemensa.backend.Category&gt;&nbsp;getSelected()</pre>
<div class="block"><p><p>LiveData-Container für die ausgewählte Kategorie</p></p></div>
</li>
</ul>
<a name="setSelected-p-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelected</h4>
<pre>public&nbsp;void&nbsp;setSelected(android.arch.lifecycle.MutableLiveData&lt;markus.keingeldfuerdiemensa.backend.Category&gt;&nbsp;p)</pre>
<div class="block"><p><p>LiveData-Container für die ausgewählte Kategorie</p></p></div>
</li>
</ul>
<a name="setSelected-cat-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelected</h4>
<pre>public&nbsp;void&nbsp;setSelected(<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;cat)</pre>
<div class="block"><p><p>markiert eine <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> als vom Benutzer ausgewählt (in der Liste angetippt)</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cat</code> - Category, die ausgewählt werden soll</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a></dd>
</dl>
</li>
</ul>
<a name="getSelected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelected</h4>
<pre>public&nbsp;<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;getSelected()</pre>
<div class="block"><p><p>gibt die ausgewählte Kategorie zurück</p></p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ausgewählte Kategorie bzw. null, wenn keine Kategorie ausgewählt wurde</dd>
</dl>
</li>
</ul>
<a name="addCategory-category-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addCategory</h4>
<pre>public&nbsp;void&nbsp;addCategory(<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;category)</pre>
<div class="block"><p><p>ruft die <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> auf, um ein <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekt in diese zu speichern</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>category</code> - die zu speichernde Kategorie</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a>, 
<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.Companion.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" target="_top">Frames</a></li>
<li><a href="CategoryViewModel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
